[Git][qa/jenkins.debian.net][master] armhf.reproduce.debian.net: turn codethink01 into a rebuilderd-worker

Holger Levsen (@holger) gitlab at salsa.debian.org
Tue Jan 21 23:44:05 GMT 2025



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
9cfe1429 by Holger Levsen at 2025-01-22T00:43:51+01:00
armhf.reproduce.debian.net: turn codethink01 into a rebuilderd-worker

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


4 changed files:

- + hosts/codethink01-arm64/etc/apt/sources.list
- + hosts/codethink01-arm64/opt/etc/rebuilderd-worker.conf
- + hosts/codethink01-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
- update_jdn.sh


Changes:

=====================================
hosts/codethink01-arm64/etc/apt/sources.list
=====================================
@@ -0,0 +1,23 @@
+#
+# Debian trixie
+#
+deb http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+
+#
+# Debian trixie security
+#
+deb http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+#deb-src http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+
+#
+# Debian trixie updates
+#
+deb http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+
+#
+# Debian trixie-backports
+#
+deb http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free


=====================================
hosts/codethink01-arm64/opt/etc/rebuilderd-worker.conf
=====================================
@@ -0,0 +1,33 @@
+## The rebuilderd to connect to
+endpoint = "https://armhf.reproduce.debian.net"
+## The server would either allowlist our key or require a signup secret
+signup_secret = "INSECURE"
+
+[build]
+#timeout = 86400 # 24 hours
+## Set a maximum build log limit in bytes (default: none).
+## When reaching this limit the log is truncated but the rebuilder backend is *not* terminated.
+max_bytes = 20971520 # 20 MiB ## 10 MiB is upstream default
+## By default build output is forwarded to stdout/stderr.
+## This can be disabled by settings this to true.
+#silent = true
+
+[diffoscope]
+## Generate and attach diffs with diffoscope when rebuilding
+enabled = true
+## Pass additional arguments to diffoscope. Use wisely, some options might not work well.
+#args = ["--max-container-depth", "2", "--fuzzy-threshold", "0"]
+## Set a timeout in seconds after which diffoscope is terminated (default: 3600)
+timeout = 600 # 10 minutes
+## Set a maximum diffoscope output limit in bytes (default: none).
+## When reaching this limit, diffoscope is terminated and the output is truncated.
+max_bytes = 10485760 # 10 MiB
+
+[backend."archlinux"]
+path = "/usr/libexec/rebuilderd/rebuilder-archlinux.sh"
+
+[backend."debian"]
+path = "/opt/usr/libexec/rebuilderd/rebuilder-debian.sh"
+
+[backend."tails"]
+path = "/usr/libexec/rebuilderd/rebuilder-tails.sh"


=====================================
hosts/codethink01-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
=====================================
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -xe
+cd "$(dirname "$1")"
+
+mkdir -p etc/apt
+mkdir -p var/lib/apt/lists/
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie main' > etc/apt/sources.list
+apt-get -o Dir=. update
+apt-get -o Dir=. source --download-only "$(basename "$1" | cut -d_ -f1)"
+
+/usr/bin/debrebuild --buildresult="${REBUILDERD_OUTDIR}" --builder=sbuild+unshare --cache=/srv/rebuilderd/cache -- "${1}"


=====================================
update_jdn.sh
=====================================
@@ -383,7 +383,7 @@ if [ -f /etc/debian_version ] ; then
 				munin-plugins-extra/buster-backports
 				devscripts/buster-backports
 				" ;;
-			osuosl4*|osuosl5*|infom07*|infom08*|codethink02*)	# packages to be installed on trixie Debian systems
+			osuosl4*|osuosl5*|infom07*|infom08*|codethink01*|codethink02*)	# packages to be installed on trixie Debian systems
 				DEBS="$DEBS
 				btop
 				debootstrap
@@ -551,7 +551,7 @@ if [ -f /etc/debian_version ] ; then
 		esac
 		# packages needed for rebuilderd-worker for https://reproduce.debian.net
 		case $HOSTNAME in
-			infom07*|infom08*|codethink02*)	DEBS="$DEBS
+			infom07*|infom08*|codethink01*|codethink02*)	DEBS="$DEBS
 							diffoscope
 							python3-rpy2
 							rebuilderd-worker
@@ -749,7 +749,7 @@ case $HOSTNAME in
 					fi
 				done
 				;;
-	infom07*|infom08*|codethink02*)
+	infom07*|infom08*|codethink01*|codethink02*)
 				SIGNUPSECRET="$(sudo cat /opt/etc/rebuilderd.secret)"
 				f=rebuilderd-worker.conf
 				if [ -f /opt/etc/$f ] ; then



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/9cfe1429a469fa6a60f9270e25b9678fdf845e33

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/9cfe1429a469fa6a60f9270e25b9678fdf845e33
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20250121/eaf5aa41/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list